summaryrefslogtreecommitdiff
path: root/build-test.sh
diff options
context:
space:
mode:
authorBruce Forstall <brucefo@microsoft.com>2018-08-07 14:58:12 -0700
committerGitHub <noreply@github.com>2018-08-07 14:58:12 -0700
commit01908e9fe3b5a3c51935e1f6622ef4bf10b805c3 (patch)
treed2dba60b101eeedaea2f9417dcbf90da99422708 /build-test.sh
parent525b5e1f990a37c16f4db797e6a5e20419f4059a (diff)
downloadcoreclr-01908e9fe3b5a3c51935e1f6622ef4bf10b805c3.tar.gz
coreclr-01908e9fe3b5a3c51935e1f6622ef4bf10b805c3.tar.bz2
coreclr-01908e9fe3b5a3c51935e1f6622ef4bf10b805c3.zip
Add basic check that the correct number of tests is built (#19290)
Fixes #19286
Diffstat (limited to 'build-test.sh')
-rwxr-xr-xbuild-test.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/build-test.sh b/build-test.sh
index fd2d8af3d9..b661ebaef9 100755
--- a/build-test.sh
+++ b/build-test.sh
@@ -252,6 +252,20 @@ build_Tests()
echo "${__MsgPrefix}Error: build failed. Refer to the build log files for details (above)"
exit 1
else
+ echo "Checking the Managed Tests Build..."
+
+ if [ -n __priority1 ]; then
+ __Priority=1
+ else
+ __Priority=0
+ fi
+ build_Tests_internal "Check_Test_Build" "${__ProjectDir}/tests/runtest.proj" "Check Test Build" "/t:CheckTestBuild /p:CLRTestPriorityToBuild=$__Priority"
+
+ if [ $? -ne 0 ]; then
+ echo "${__MsgPrefix}Error: Check Test Build failed."
+ exit 1
+ fi
+
echo "Managed tests build success!"
fi